Bug 1636579 (CVE-2018-18016) - CVE-2018-18016 ImageMagick: memory leak in WritePCXImage in coders/pcx.c
Summary: CVE-2018-18016 ImageMagick: memory leak in WritePCXImage in coders/pcx.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-18016
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1636581 1824888
Blocks: 1637193
TreeView+ depends on / blocked
 
Reported: 2018-10-05 19:13 UTC by Laura Pardo
Modified: 2021-10-25 22:19 UTC (History)
3 users (show)

Fixed In Version: ImageMagick 6.9.9-40, ImageMagick 7.0.7-29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-25 22:19:29 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-10-05 19:13:26 UTC
A flaw was foudn in ImageMagick 7.0.7-28. A memory leak vulnerability in WritePCXImage in coders/pcx.c which could lead to a Denial of Service attack.


References:
https://github.com/ImageMagick/ImageMagick/issues/1049

Upstream Patch:
https://github.com/ImageMagick/ImageMagick/commit/df8a62fe4938aa41a39e815937c58bc0ed21b664

Comment 1 Laura Pardo 2018-10-05 19:14:04 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1636581]

Comment 2 Stefan Cornelius 2018-11-27 14:41:55 UTC
Statement:

This issue affects the versions of ImageMagick as shipped with Red Hat Enterprise Linux 5, 6, and 7.

Red Hat Enterprise Linux 5 is now in Extended Life Phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Low, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.